Get a Project Note
curl --request GET \
--url https://api.virtuoussoftware.com/api/ProjectNote/{noteId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ProjectNote/{noteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ProjectNote/{noteId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ProjectNote/{noteId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ProjectNote/{noteId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 870010,
"createDateTimeUtc": "2025-11-05T13:00:00Z",
"createdByUser": "Program Team",
"modifiedDateTimeUtc": "2025-11-05T13:00:00Z",
"modifiedByUser": "Program Team",
"createdByAvatarUrl": "https://api.virtuoussoftware.com/avatars/users/program-team.png",
"type": "Update",
"note": "Secured 350 turkeys via an in-kind donation from Northwind Logistics for the Holiday Meals distribution.",
"important": true,
"isPrivate": false,
"binaryPath": null
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Projects
Get a Project Note
Returns a single project note, including its type, body, and whether it is flagged as important or private.
GET
/
api
/
ProjectNote
/
{noteId}
Get a Project Note
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The note identifier.
Response
OK
The unique identifier of the record in Virtuous.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
When true, the record is only visible to users with permission to view private records.
Last modified on August 11, 2026
Was this page helpful?
⌘I